Skip to content

POST Upload new object to user account

POST /resources/objects: Upload new object to user account. Uploads a new 3D object or model to the user's account. Supports single 3D files (GLB, GLTF, etc.)

POSThttps://api.rooom.com/resources/objects
Try it out
product:write

Body

multipart/form-data
NameTypeDescription
namestringObject name
descriptionstringObject description
commentstringUpload comment
filefile3D file (GLB, GLTF, etc.) or ZIP archive
ai_modelbooleanCreate AI-model from images
advanced_paramsstringAdvanced processing parameters (JSON format)
no_rawbooleanFor single GLB upload - use raw file or optimized (rooomReady)

Responses

201Object successfully uploaded
400Bad Request - Invalid upload payload or file validation failed
401Unauthorized - Invalid or missing authentication
404Not Found - Referenced resource could not be resolved
500Internal Server Error - Failed to store the uploaded object
POST /resources/objects Upload new object to user account Uploads a new 3D object or model to the user's account. Supports single 3D files (GLB, GLTF, etc.) or ZIP archives containing model data. Optionally generates AI models from images. Required scopes: product:write name Object name description Object description comment Upload comment file 3D file (GLB, GLTF, etc.) or ZIP archive ai_model Create AI-model from images advanced_params Advanced processing parameters (JSON format) no_raw For single GLB upload - use raw file or optimized (rooomReady)